%define name monodevelop
%define version 0.17
%define svn 1949
%define release %mkrel 1
%define gtksharp 1.9.5
%define gtksourceview 0.10
%define gecko 0.10
%define monodoc 1.0
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch1: monodevelop-0.16-firefox.patch
Patch4: monodevelop-desktop-entry.patch
URL: http://www.monodevelop.com/
License: GPL
Group: Development/Other
Requires: gecko-sharp2 >= %gecko
Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: libmozilla-firefox = %mozver
Requires: ikvm
Requires: xterm
#gw this is dllimported http://qa.mandriva.com/show_bug.cgi?id=34514
Requires: %mklibname svn 0
BuildRequires: boo >= 0.7.6
BuildRequires: ikvm
# gw our nemerle is too old
#BuildRequires: nemerle
BuildRequires: mono-devel
BuildRequires: gecko-sharp2 >= %gecko
BuildRequires: gtksourceview-sharp >= %gtksourceview
BuildRequires: gnome-sharp2 >= %gtksharp
BuildRequires: glade-sharp2 >= %gtksharp
BuildRequires: zip
BuildRequires: monodoc >= %monodoc
BuildRequires: mono-data-sqlite
#BuildRequires: libmono-debugger-devel >= 0.12
BuildRequires: xsp
BuildRequires: mozilla-firefox-devel
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
%patch1 -p1 -b .firefox
%patch4 -p1

%build
./configure --prefix=%_prefix --libdir=%_libdir --enable-java --enable-versioncontrol --enable-boo --enable-aspnet --enable-subversion --enable-aspnetedit
#--enable-nemerle 
#--enable-debugger
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir` %buildroot%_libdir/firefox-%mozver/chrome
%makeinstall_std UPDATE_MIME_DB="#" pkgconfigdir=%pkgconfigdir packagedir=%buildroot%_prefix/lib/monodevelop/AddIns/AspNetEdit MOZILLA_HOME=%buildroot%_libdir/firefox-%mozver/
#gw fix mozilla-firefox directory
perl -pi -e "s^xMOZVERx^%mozver^g" %buildroot%_bindir/monodevelop

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/monodevelop" \
title="MonoDevelop" \
longtitle="Full-featured IDE for mono and Gtk#" \
%if %mdkversion <= 1000
section="More applications/Development/Development environments" \
%else
section="More Applications/Development/Development Environments" \
%endif
needs="x11" \
icon="monodevelop.png" \
startup_notify="yes" xdg="true"
EOF

#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

%find_lang %name

%post
%update_mime_database
%update_desktop_database
%update_menus

%postun
%clean_mime_database
%clean_desktop_database
%clean_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_menudir}/%{name}
%{_prefix}/lib/monodevelop/
%_libdir/firefox-%mozver/chrome/aspdesigner.manifest
%_mandir/man1/mdtool.1*
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/pixmaps/monodevelop.png
%pkgconfigdir/monodevelop.pc
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2008.1
+ Revision: 106855
- new version
- drop patch 2, this problem should be fixed

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 0.16-4mdv2008.1
+ Revision: 106062
- rebuild for new firefox

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 0.16-3mdv2008.1
+ Revision: 100427
- rebuild for new firefox

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 0.16-2mdv2008.1
+ Revision: 99884
- rebuild for new firefox

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2008.1
+ Revision: 95597
- new version
- drop patch 0, it now needs xterm explicitly
- update patch 1
- drop patch 3
- add missing dep on svn client lib (bug #34514)
- remove jscall dep
- update file list

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2008.0
+ Revision: 78382
- fix build with new boo
- fix desktop file
- fix and reenable Asp.Net editor

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2008.0
+ Revision: 59967
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 0.14-3mdv2008.0
+ Revision: 57225
- rebuild

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 0.14-2mdv2008.0
+ Revision: 39889
- rebuild for new ff

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2008.0
+ Revision: 38535
- new version
- rediff patch 2
- disable aspnetedit

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-3mdv2008.0
+ Revision: 27247
- use libapr1 by default (bug #30828)


* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdv2007.1
+ Revision: 148362
- rebuild for new firefox

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2007.1
+ Revision: 140527
- new version

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2007.1
+ Revision: 133268
- fix buildrequires
- enable ASP.NET visual designer

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2007.1
+ Revision: 126286
- rebuild for new firefox

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2007.1
+ Revision: 125028
- new version
- drop patch 2
- enable subversion support

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.12-7mdv2007.1
+ Revision: 106101
- rebuild

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 0.12-6mdv2007.1
+ Revision: 92036
- fix detection of new firefox

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.12-5mdv2007.1
+ Revision: 87537
- fix autotools addin, it was generating bad configure scripts
- unpack patches

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 0.12-4mdv2007.1
+ Revision: 85825
- fix firefox dep again
- fix firefox dep

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
+ Revision: 79187
- Import monodevelop

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
- rebuild for new firefox

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-2mdv2007.0
- Rebuild with latest firefox

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 0.12-1mdv2007.0
- enable asp.net support
- rediff patch 1
- New version 0.12

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new firefox

* Sun Jul 30 2006 Gtz Waschk <waschk@mandriva.org> 0.11-4mdv2007.0
- rebuild for new firefox

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.11-3mdv2007.0
- xdg menu
- enable boo

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 0.11-2mdv2007.0
- Rebuild for new firefox

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdk
- New release 0.11

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 0.10-3mdk
- rebuild for new firefox

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- rebuild for new firefox

* Thu Apr 06 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- drop patch 2
- New release 0.10

* Fri Feb 03 2006 Gtz Waschk <waschk@mandriva.org> 0.9-6mdk
- patch for new mono
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.9-5mdk
- rebuild for new mozilla-firefox

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 0.9-4mdk
- rebuild for new mono

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9-3mdk
- enable version control
- reenable ikvm

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.9-2mdk
- rebuild for new mono
- use mkrel

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.9-1mdk
- update file list
- update patch 0
- disable debugger, boo and ikvm
- New release 0.9

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.8-2mdk
- rebuild for new mozilla

* Sat Oct 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patches 2,3
- New release 0.8

* Fri Sep 02 2005 Gtz Waschk <waschk@mandriva.org> 0.7-13mdk
- patch for new boo

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.7-12mdk
- rebuild for new gtk-sharp2

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.7-11mdk
- rebuild for new firefox

* Sat Jul 02 2005 Gtz Waschk <waschk@mandriva.org> 0.7-10mdk
- rebuild for new boo

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-9mdk
- update patch 2 for new debugger

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-8mdk
- Rebuild

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 0.7-7mdk
- no more no noarch

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- no more noarch
- build with mono debugger support on x86

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 0.7-5mdk
- rebuild for new firefox

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- rebuild

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-3mdk
- enable java

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix startup and depend on mozilla-firefox

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- make it noarch
- update deps
- new source URL
- New release 0.7

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix Japanese locale dir
- patch to use xvt instead of xterm
- drop dep on libgtksourceview, now in libgtksourceview-sharp
- fix buildrequires, hopefully for the last time

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-6mdk
- fix buildrequires once again

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix buildrequires again

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix buildrequires

* Sat Apr 02 2005 Emmanuel Blindauer <mdk@agat.net> 0.6-3mdk
- Add requires on libgtksourceview (fix crash)

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- drop the patch
- bump deps
- New release 0.6

* Sat Sep 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Tue Aug 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Fri Jul 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
- Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
- First rpm for mandrake

